%define version 2.0
%define release 0.Beta1.1mdk
%define name xdelta

Summary: A binary delta generator
Name:	%{name}
Version: %{version}
Release: %{release}
Source0: ftp://www.xcf.berkeley.edu/pub/xdelta/%{name}-%{version}-beta1.tar.bz2
#(deush) path to emacs site lisp top dir
Patch0: %{name}-edsio.patch.bz2
License: BSD
Group: File tools
BuildRequires: zlib-devel
Prereq: /sbin/install-info
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: glib-devel, zlib-devel

%description 
XDelta is a library interface and application program designed to
compute changes between files.  These changes (deltas) are similar to
the output of the "diff" program in that they may be used to store and
transmit only the changes between files.  However, unlike diff, the
output of XDelta is not expressed in a human-readable format--XDelta
can also also apply these deltas to a copy of the original file(s).
XDelta uses a fast, linear algorithm and performs well on both binary
and text files.  XDelta typically outperforms GNU diff in both time
and generated-delta-size, even for plain text files.  XDelta also
includes a simple implementation of the Rsync algorithm and several
advanced features for implementing RCS-like file-archival with.

%package devel
Summary: Static libraries and header files for development with XDelta
Group: Development/C
PreReq: /sbin/install-info
Requires: %{name}

%description devel
This package contains the static libraries and header files
required to develop applications using Xdelta.

%prep
%setup -q -n %{name}-%{version}-beta1
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
%configure
make all
cd libedsio 
emacs -batch -q -f batch-byte-compile edsio.el

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp
%makeinstall
install -m 644 libedsio/{edsio.el,edsio.elc} \
	$RPM_BUILD_ROOT%{_datadir}/emacs/site-lisp

%post
/sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/xdelta2
%attr(755,root,root) %{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root)
%doc xdfs.ps.gz
%attr(755,root,root) %{_bindir}/*
%{_includedir}/*
%{_libdir}/lib*.a
%{_libdir}/lib*.la
%{prefix}/share/emacs/site-lisp/*

%changelog
* Thu Dec 14 2000  Daouda Lo <daouda@mandrakesoft.com> 2.0-0.Beta1.1mdk
- beta release 
- change license (switch from GPL to BSD )
- xdfs added
- don't support old file format
 
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.1-8mdk
- automatically added BuildRequires


* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.1-7mdk
- fix bad script

* Tue Jul 25 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.1-6mdk
- BM

* Mon Apr  3 2000 Adam Lebsack <adam@mandrakesoft.com> 1.1.1-5mdk
- Release build.

* Wed Jan 12 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.1-4mdk
- Regnerate libtoolize.

* Thu Nov 11 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuilt for Oxygen

* Fri Aug 20 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- fixed edsio-comp script.

* Tue Aug 19 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- First spec file for Mandrake distribution.
